## com.sun.jersey.core.spi.factory
Class VariantListBuilderImpl

    java.lang.Object
      javax.ws.rs.core.Variant.VariantListBuilder
          com.sun.jersey.core.spi.factory.VariantListBuilderImpl

    public class VariantListBuilderImpl

extends javax.ws.rs.core.Variant.VariantListBuilder

An implementation of `Variant.VariantListBuilder`.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`VariantListBuilderImpl()`

Method Summary
`javax.ws.rs.core.Variant.VariantListBuilder` `add()`
`java.util.List<javax.ws.rs.core.Variant>` `build()`
`javax.ws.rs.core.Variant.VariantListBuilder` `encodings(java.lang.String... encodings)`
`javax.ws.rs.core.Variant.VariantListBuilder` `languages(java.util.Locale... languages)`
`javax.ws.rs.core.Variant.VariantListBuilder` `mediaTypes(javax.ws.rs.core.MediaType... mediaTypes)`

Methods inherited from class javax.ws.rs.core.Variant.VariantListBuilder
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariantListBuilderImpl

    public VariantListBuilderImpl()

Method Detail

### build

    public java.util.List<javax.ws.rs.core.Variant> build()

  Specified by:
    `build` in class `javax.ws.rs.core.Variant.VariantListBuilder`

### add

    public javax.ws.rs.core.Variant.VariantListBuilder add()

  Specified by:
    `add` in class `javax.ws.rs.core.Variant.VariantListBuilder`

### languages

    public javax.ws.rs.core.Variant.VariantListBuilder languages(java.util.Locale... languages)

  Specified by:
    `languages` in class `javax.ws.rs.core.Variant.VariantListBuilder`

### encodings

    public javax.ws.rs.core.Variant.VariantListBuilder encodings(java.lang.String... encodings)

  Specified by:
    `encodings` in class `javax.ws.rs.core.Variant.VariantListBuilder`

### mediaTypes

    public javax.ws.rs.core.Variant.VariantListBuilder mediaTypes(javax.ws.rs.core.MediaType... mediaTypes)

  Specified by:
    `mediaTypes` in class `javax.ws.rs.core.Variant.VariantListBuilder`

Copyright © 2017 Oracle Corporation. All Rights Reserved.